<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelRoomContractDayAvail StructType
 * @subpackage Structs
 */
class JP_HotelRoomContractDayAvail extends AbstractStructBase
{
    /**
     * The _
     * @var int
     */
    public $_;
    /**
     * The AvailRooms
     * @var int
     */
    public $AvailRooms;
    /**
     * Constructor method for JP_HotelRoomContractDayAvail
     * @uses JP_HotelRoomContractDayAvail::set_()
     * @uses JP_HotelRoomContractDayAvail::setAvailRooms()
     * @param int $_
     * @param int $availRooms
     */
    public function __construct($_ = null, $availRooms = null)
    {
        $this
            ->set_($_)
            ->setAvailRooms($availRooms);
    }
    /**
     * Get _ value
     * @return int|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param int $_
     * @return \StructType\JP_HotelRoomContractDayAvail
     */
    public function set_($_ = null)
    {
        // validation for constraint: int
        if (!is_null($_) && !(is_int($_) || ctype_digit($_))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($_, true), gettype($_)), __LINE__);
        }
        $this->_ = $_;
        return $this;
    }
    /**
     * Get AvailRooms value
     * @return int|null
     */
    public function getAvailRooms()
    {
        return $this->AvailRooms;
    }
    /**
     * Set AvailRooms value
     * @param int $availRooms
     * @return \StructType\JP_HotelRoomContractDayAvail
     */
    public function setAvailRooms($availRooms = null)
    {
        // validation for constraint: int
        if (!is_null($availRooms) && !(is_int($availRooms) || ctype_digit($availRooms))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($availRooms, true), gettype($availRooms)), __LINE__);
        }
        $this->AvailRooms = $availRooms;
        return $this;
    }
}
